function recentprojectsMenuItemCallback(hObject, eventdata)
    handles = guidata( hObject );
    ud = get( hObject, 'Userdata' );
    fprintf( 1, 'recentprojectsMenuItemCallback %s\n', ud.modeldir );
    [parentdir,modelname] = fileparts( ud.modeldir );
    [m,ok] = leaf_loadmodel( handles.mesh, modelname, parentdir );
    if ok && ~isempty(m)
%         unselectProjectMenu( handles );
%         selectProjectMenu( hObject, true );
        handles = installNewMesh( handles, m );
        updateProjectMenuHighlights( handles, ud.modeldir );
        guidata(hObject, handles);
    else
        beep;
    end
end
